# Element Summary

Element | Description | Class
--- | --- | ---
component | a component for hosting JAX-WS pojos. It is based on the CXF runtime. | org.apache.servicemix.cxfse.CxfSeComponent
endpoint | an endpoint using CXF's JAX-WS frontend | org.apache.servicemix.cxfse.CxfSeEndpoint
proxy | A CXF proxy | org.apache.servicemix.cxfse.CxfSeProxyFactoryBean

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
bus | <spring:bean/> | the CXF bus
componentRegistry | <spring:bean/> |
endpoints | (endpoint)* | the endpoints hosted by a component
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: endpoint

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string | Get the endpoint implementation.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
mtomEnabled | xs:boolean | Specifies if the service can consume MTOM formatted binary data. The default is `false`.
pojoEndpoint | xs:QName | Specifies the servicemodel endpoint name generated from the pojo. The default is `null`.
pojoInterfaceName | xs:QName | Specifies the servicemodel interface name generated from the pojo. The default is `null`.
pojoService | xs:QName | Specifies the servicemodel service name generated from the pojo. The default is `null`.
service | xs:QName | Get the service qualified name of the endpoint.
useAegis | xs:boolean | Specifies if the endpoint use aegis databinding to marshall/unmarshall message. The default is `false`.
useJBIWrapper | xs:boolean | Specifies if the endpoint expects to receive the JBI wrapper in the message received from the NMR. The default is `true`. Ignore the value of useSOAPEnvelope if useJBIWrapper is true
useSOAPEnvelope | xs:boolean | Specifies if the endpoint expects soap messages when useJBIWrapper is false, if useJBIWrapper is true then ignore useSOAPEnvelope. The default is `true`.
useXmlBeans | xs:boolean | Specifies if the endpoint use xmlbeans databinding to marshell/unmarshell message. The default is `false`.

Element | Type | Description
--- | --- | ---
dataBinding | <spring:bean/> | Specifies dataBinding used by the Endpoint
inFaultInterceptors | (<spring:bean/>)* | a list of beans configuring interceptors that process incoming faults
inInterceptors | (<spring:bean/>)* | a list of beans configuring interceptors that process incoming requests
outFaultInterceptors | (<spring:bean/>)* | a list of beans configuring interceptors that process fault messages being returned to the consumer
outInterceptors | (<spring:bean/>)* | a list of beans configuring interceptors that process response messages
pojo | <spring:bean/> | a bean configuring the JAX-WS annotated implementation for the endpoint
properties | <spring:bean/> | Specifies a map of properties

## Element: proxy

Attribute | Type | Description
--- | --- | ---
clearClientResponseContext | xs:boolean | Specifies if the CXF client response context is cleared after each proxy invocation. The default is
endpoint | xs:string | The name of the endpoint.
interfaceName | xs:QName | Specifies the servicemodel interface name
mtomEnabled | xs:boolean | Specifies if the service can consume MTOM formatted binary data. The default is `false`.
name | xs:string | Specifies the JNDI name for looking up the ClientFactory. Defaults to `java:comp/env/jbi/ClientFactory`.
propagateSecuritySubject | xs:boolean | When set to `true`, the security subject is propagated along to the proxied endpoint. Defaults to `false`.
service | xs:QName | Specifies the servicemodel service name
type | xs:string | Specifies the webservice POJO type
useJBIWrapper | xs:boolean | Specifies if the endpoint expects to receive the JBI wrapper in the message received from the NMR. The default is `true`. Ignore the value of useSOAPEnvelope if useJBIWrapper is true
useSOAPEnvelope | xs:boolean | Specifies if the endpoint expects soap messages when useJBIWrapper is false, if useJBIWrapper is true then ignore useSOAPEnvelope. The default is `true`.

Element | Type | Description
--- | --- | ---
componentRegistry | <spring:bean/> | Allows injecting a custom component registry for looking up the proxying endpoint.
container | <spring:bean/> | Allows injecting a JBI Container instance (e.g. for testing purposes).
context | <spring:bean/> | Allows injecting the ComponentContext
factory | <spring:bean/> | Allows injecting a ClientFactory